Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/getapi-v-1-custom-objects-object-type-id-fields

# Get CO field picker values (dropdown/multi-dropdown/relationship options)

GET `https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/fields`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### objectTypeId (path, integer, required)

The object type ID

## Query Parameters

#### field\_name (query, string, required)

Reference key of the dropdown / multi-dropdown / relationship field

#### field\_value (query, string)

#### search\_key (query, string)

#### include\_none (query, boolean)

#### include\_any (query, boolean)

#### include\_null (query, boolean)

#### parent\_option\_id (query, integer)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/fields' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/fields', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/fields',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
